Jump to content
Sign in to follow this  
marchem

W95 client problems with server 7.5

Recommended Posts

I recently upgraded to Server 7.5 from 6.5 (new machine running Vista). I'm now having problems with my W95 clients. If I install the 7.5.116 client software I get an error message when booting the client "The RETROCLIENT.EXE file is linked to missing export ADVAPI32.DLL:SetNamedSecurityInfoW.". So I uninstalled the client software and tried 5.6.112 (which it was running before). This instalss, and the server sees the client, but when I refresh the client I get an error message "Client speed test failed, erro -540 (trouble creating service)."

 

I uninstalled the 5.6.112 and tried 6.5.140, but when it asks me for a client password during the install it says the password must be at least 4 characters long, no matter what I enter for a password.

 

So is anybody running W95 clients with Server 7.5? How are you making it work?

 

Thanks, Rob

Share this post


Link to post
Share on other sites

Have you installed Winsock 2.0 on the W95 client.

 

I am sure the latest version of Retrospect has not been tested with Windows 95

Share this post


Link to post
Share on other sites

It has Winsock 2.0 installed. It worked fine with Server 6.5. The problems only started when I tried to upgrade the client software.

 

I realize there probably aren't many W95 machines for them to test it on, but the User's Guide does say that W95 is supported as a client.

 

I've got some analytical hardware that requires W95, so I'm stuck with it. I had to upgrade to 7.5 because I've now got Vista machines. I guess I could always run two servers, one 6.5 for the W95 machines (if I can ever get the client software installed) and one 7.5 for all the other machines.

Share this post


Link to post
Share on other sites

I don't know if this will help, but here's more information:

 

If I install client 5.6 the server sees the client, but refreshing results in the 540 error.

If I either upgrade to client 6.0, or remove 5.6 and install 6.0 I get the same results.

 

If I upgrade from either 5.6 or 6.0 to 6.5 I get a message "Restrospect client already running" at the end of the upgrade. If I try to open the client nothing happens.

 

Upgrading to 7.0 does the same thing ("Retrospect client already running" at end of installation, and client does not open).

 

If I remove 6.0 and install either 6.5 or 7.0 I am unable to enter a password. No matter what I enter it says "The password you entered must be at least 4 characters in length". It does recognize if the two passwords are not the same.

 

If I install 7.5 I get the error message "The RETROCLIENT.EXE file is linked to missing export ADVAPI32.DLL:SetNamedSecurityInfoW."

 

So at this point the only clients I can even get running on my W95 machines are 5.6 and 6.0, neither of which seem to work with Server 7.5.

 

I'm wondering if the series of installs, uninstalls I've done has left some dll's behind that are causing problems. I would use my backup to restore the system, but..... right, I don't have a backup!!

 

Rob

Share this post


Link to post
Share on other sites

Probably the thing to try is to uninstall the client software. Install the 6.5 client and try the 6.5 application.

Share this post


Link to post
Share on other sites

If I uninstall the client software, then try to install the 6.5 client I am unable to enter a password during the installation process. It says "The password you entered must be at least 4 characters in length" no matter what I enter for a password.

 

Rob

Share this post


Link to post
Share on other sites

I am confused. When you uninstall and then reinstall the client, you are unable to enter a password at the time of install?

 

Make sure you are restarting after the uninstall.

Share this post


Link to post
Share on other sites

I uninstall whatever version is there, reboot, and install the 6.5 client. When I get to the part where it asks for a password I get the error message no matter what I put in for a password, 4, 6 8, 10, 25 characters. Alpha or numeric or mixed makes no difference.

 

If I put in two different passwords it says they are not the same, so it's at least looking at them.

 

I've been good about rebooting after making any changes. Luckily W95 reboots fast, much faster than my XP desktop.

Share this post


Link to post
Share on other sites

Still having this problem. All my W95 machines are unable to be backed up.

 

It seems like once I install the 7.5 client upgrade there's no way out. After that the 5.6 and 6.0 clinets get the 540 error. The 6.5 and 7.0 clients won't install because you can't enter a password. The 7.5 client gives the "missing export ADVAPI32.DLL:SetNamedSecurityInfoW" error.

 

I'm guessing that the 7.5 client must have left some DLL's or something in the windows directory that's messing up the 5.6-7.0 clients.

 

I'm sure someone else must have run into this. Hopefully I'm not the only person running server 7.5 and backing up W95 clients??

 

Rob

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×